// DOMの準備後に実行する内容
$(function() {
	// 対応の確認
	if (! window.File || ! window.FileReader
	 || ! window.FileList || ! window.Blob) {
		return;
	}

	// ファイル選択変更時の処理を設定
	$("#fileButton").change(function(event) {
		// 変更されたファイル情報の一覧を配列として取得
		var files = event.target.files;

		// ファイル情報を1つずつ得て処理していく
		for (var i = 0; i < files.length; i ++) {
			// ファイル情報を1つ取得
			var f = files[i];

			// ファイル情報を出力
			console.log("ファイル名：" + f.name);
			console.log("種類：" + f.type);
			console.log("サイズ：" + f.size);

			// ファイル読み取り用の「FileReader」を作成
			var reader = new FileReader();

			// ファイル読み取り完了時のイベント
			reader.onload = function(e) {
				// 文字列を取得
				var text = e.target.result;

				// 行数を追加
				var arr = text.split("\n");
				for (var i = 0; i < arr.length; i ++) {
					arr[i] = i + " : " + arr[i];
				}
				text = arr.join("\n");

				// 文字列を表示
				$("#output").val(text);
			};

			// テキストとして読み込む
			reader.readAsText(f);
		}
	});
});
