// DOMの準備後に実行する内容
$(function() {
	// 対応の確認
	if (! window.File || ! window.FileReader
	 || ! window.FileList || ! window.Blob) {
		return;
	}

	// 通常のイベントをキャンセルする関数
	var cancelEvent = function(event) {
		event.preventDefault();
		event.stopPropagation();
	};

	// ファイルを読み込む関数
	var dropFileEvent = function(event) {
		// 通常のイベントのキャンセル
		cancelEvent(event);

		// ファイル一覧の取得
		var files = event.originalEvent.dataTransfer.files;

		// 各ファイルに対して処理を実施
		for (var i = 0; i < files.length; i ++) {
			// ファイルの取得
			var f = files[i];

			// ファイルの読み取り
			var reader = new FileReader();

			// 読み込み完了時のイベントを登録
			reader.onload = function(e) {
				// Data URL形式のデータを取り出す
				var text = e.target.result;

				// img要素を作成
				var img = $("<img>");
				img.attr("src", text);

				// 画像を表示
				$("#output").append(img);
			};

			//  Data URL形式で読み取り
			reader.readAsDataURL(f);
		}
	};

	// イベントの設定
	$("#drop").on({
		 "dragenter": cancelEvent
		,"dragover": cancelEvent
		,"dragleave": cancelEvent
		,"drop": dropFileEvent
	});
});
