// DOMの準備後に実行する内容
$(function() {
	// Canvasを取得
	var canvas = $("#myCanvas").get(0);
	if (! canvas || ! canvas.getContext) return;

	// サイズを取得
	var w = canvas.width;
	var h = canvas.height;

	// 2Dコンテクストを取得
	var context = canvas.getContext("2d");

	// 背景の作成
	context.fillStyle = "#ffffcc";	// 塗りつぶしスタイルの設定
	context.fillRect(0, 0, w, h);	// 矩形塗りつぶし

	// 枠の作成
	context.strokeStyle = "#eeaa66";	// 線描画スタイルの設定
	context.lineWidth = 10;				// 線の太さを設定
	context.strokeRect(0, 0, w, h);		// 矩形線描画

	// 文字描画の共通部分を初期化
	var text = "HTML5 + JavaScript !";	// 描画する文字列
	context.font = "64px 'Times New Roman'";	// フォントの設定
	context.textAlign = "center";		// 文字列横位置
	context.textBaseline = "middle";	// 文字列縦位置
	context.lineJoin = "round";			// 線の角の描画方法

	// 文字周辺枠
	context.strokeStyle = "#aa6633";	// 線描画スタイルの設定
	context.lineWidth = 10;				// 線の太さを設定
	context.strokeText(text, w / 2, h / 2);	// 文字列を線描画

	// エンボス光
	context.strokeStyle = "#ffffff";	// 線描画スタイルの設定
	context.lineWidth = 2;				// 線の太さを設定
	context.strokeText(text, w / 2 - 1, h / 2 - 1);	// 文字列を線描画

	// エンボス影
	context.strokeStyle = "#884422";	// 線描画スタイルの設定
	context.strokeText(text, w / 2 + 1, h / 2 + 1);	// 文字列を線描画

	// 文字本体
	context.fillStyle = "#dd9955";		// 塗りつぶしスタイルの設定
	context.fillText(text, w / 2, h / 2);	// 文字列を塗りつぶし
});
