// DOMの準備後に実行する内容
$(function() {
	// class「dummy」の全要素を処理
	$(".dummy").each(function() {
		// サイズを取得
		var text = $(this).text();
		var params = text.split("x");
		var w = params[0];
		var h = params[1];

		// Canvasと2Dコンテクストを作成
		try {
			var canvas = $("<canvas>")
				.attr("width", w).attr("height", h)
				.get(0);
			var context = canvas.getContext("2d");
		} catch(e) {
			console.log(e);
			return;
		}

		// 背景の作成
		context.fillStyle = "#aaa";
		context.fillRect(0, 0, w, h);

		// 模様の設定
		context.strokeStyle = "#333";
		context.lineWidth = 1;

		// 描画の最大半径
		var max = Math.sqrt(w * w + h * h) / 2;

		// 円を順番に描画
		for (var r = 0; r < max; r += 5) {
			// パスの開始
			context.beginPath();

			// 円弧のパスを作成
			context.arc(w / 2, h / 2, r, 0, Math.PI * 2, false);

			// 線描画
			context.stroke();
		}

		// フォントのサイズを自動で計算
		context.font = Math.floor(h * 0.6) + "px 'Times New Roman'";

		// 文字列の描画設定
		context.textAlign = "center";
		context.textBaseline = "middle";
		context.fillStyle = "#fff";

		// サイズを文字で表示
		context.fillText(text, w / 2, h / 2, w * 0.9)

		// 表示
		$(this).empty().append(canvas);
	});
});
