// DOMの準備後に実行する内容
$(function() {
	// class「balloon」のdiv領域全てに処理を実施
	$("div.balloon").each(function() {
		// サイズを取得
		var w = $(this).outerWidth();
		var h = $(this).outerHeight();
		var m = 2;		// マージン
		var r = 16;		// 角丸の半径

		// Canvasを作成
		var canvas = $("<canvas>").attr("width", w).attr("height", h).get(0);
		if (! canvas || ! canvas.getContext) return;
		var context = canvas.getContext("2d");

		// パスの作成
		context.beginPath();
		context.moveTo(m + r, m);	// 左上

		// 角丸のパス
		context.arcTo(w - m, m, w - m, h, r);	// 右上
		context.arcTo(w - m, h - m - r, 0, h - m - r, r);	// 右下

		// 尻尾開始までのパス
		context.lineTo((w + r) / 2, h - m - r);

		// 尻尾のパス
		context.quadraticCurveTo(w / 2, h - m - r, w / 2, h - m);
		context.quadraticCurveTo((w - r) / 2, h - m - r / 2,
									(w - r) / 2, h - m - r);

		// 角丸のパス
		context.arcTo(m, h - m - r, m, 0, r);	// 左下
		context.arcTo(m, m, w, m, r);	// 左上

		// パスを塗りつぶし
		context.fillStyle = "#faa";
		context.fill();

		// パスを線描画
		context.strokeStyle = "#c88";
		context.lineWidth = 2;
		context.stroke();

		// PNGの取り出し
		var png = canvas.toDataURL();

		// 背景に反映
		$(this).css("background", "url(" + png + ")");
	});
});
