// DOMの準備後に実行する内容
$(function() {
	var w = 640;
	var h = 480;

	// Canvasを作成
	var canvas = $("<canvas>").attr("width", w).attr("height", h).get(0);
	if (! canvas || ! canvas.getContext) return;
	var context = canvas.getContext("2d");

	// クリック時の動作を設定
	$(canvas).click(function() {
		window.open(this.toDataURL(), "_blank")
	});

	// 背景の作成
	context.fillStyle = "#ffffcc";
	context.fillRect(0, 0, w, h);

	// パスの作成
	context.beginPath();

	// 設定用の変数を初期化
	var xMax = 16;
	var yMax = 8;
	var bsX = w / (xMax + 1);
	var bsY = h / (yMax + 1);

	// 複数のサブパスを作成
	for (var i = 0; i < xMax; i ++) {
		for (var j = 0; j < yMax; j ++) {
			var x = bsX * (1 + i);
			var y = bsY * (0.5 + j);

			context.moveTo(x, y);
			context.lineTo(x + xMax * 0.8, y + bsY * 0.8);
			context.lineTo(x - xMax * 0.8, y + bsY * 0.8);
			context.closePath();
		}
	}

	// パスの描画
	context.stroke();

	// 背景に反映
	$("body").append(canvas);
});
