// DOMの準備後に実行する内容
$(function() {
	var w = 640;
	var h = 480;

	// Canvasを作成
	var canvas = $("<canvas>").attr("width", w).attr("height", h).get(0);
	if (! canvas || ! canvas.getContext) return;
	var context = canvas.getContext("2d");

	// クリック時の動作を設定
	$(canvas).click(function() {
		window.open(this.toDataURL(), "_blank")
	});

	// 背景の作成
	context.fillStyle = "#ffffcc";
	context.fillRect(0, 0, w, h);

	// 設定を保存
	context.save();		// 保存

	// クリップ
	context.beginPath();
	context.rect(w * 0.05, h * 0.05, w * 0.6, h * 0.6);	// 矩形のパスを作成
	context.rect(w * 0.35, h * 0.35, w * 0.6, h * 0.6);	// 矩形のパスを作成
	context.stroke();	// 線描画
	context.clip();		// クリップ

	// クリップを追加
	context.beginPath();
	context.arc(w / 2, h / 2, w * 0.4, 0, Math.PI * 2, false);
	context.stroke();	// 線描画
	context.clip();		// クリップ

	// 設定を保存
	context.save();		// 保存

	// 変換マトリックスを適用
	context.translate(w / 2, h / 2);	// 中央に原点を移動
	context.rotate(Math.PI * 30 / 180);	// 30度回転
	context.scale(1.0, 0.5);			// 横に100％、縦に50％に拡縮

	// 円を描画
	context.lineWidth = 10;
	for (var i = 0; i < 20; i ++) {
		// パスを生成して描画
		context.beginPath();
		context.arc(0, 0, w * 0.05 * i, 0, Math.PI * 2, false);
		context.stroke();
	}

	// 設定を復元（2回保存したので、2回復元）
	context.restore();	// 復元
	context.restore();	// 復元

	// 背景に反映
	$("body").append(canvas);
});
