// DOMの準備後に実行する内容
$(function() {
	var img = new Image();		// Imageオブジェクトの作成
	img.onload = finishLoad;	// 読み込み完了時の処理を登録
	img.src = "img/img.jpg";	// 画像のURLを登録

	// 読み込み完了時の処理
	function finishLoad() {
		// 変数の初期化
		var w = img.width;
		var h = img.height;

		for (var i = 0; i < 3; i ++) {
			// Canvasを作成して、2Dコンテクストを取り出す
			var canvas = $("<canvas>")
				.attr("width", w).attr("height", h).get(0);
			if (! canvas || ! canvas.getContext) return;
			var context = canvas.getContext("2d");

			// クリック時の動作を設定
			$(canvas).click(function() {
				window.open(this.toDataURL(), "_blank")
			});

			// 背景の作成
			context.fillStyle = "#ffffcc";	// 塗りつぶし設定
			context.fillRect(0, 0, w, h);	// 矩形塗りつぶし

			// 画像を2Dコンテクストに描画
			if (i == 0) {
				context.drawImage(img,
						w * 0.2, h * 0.2);
			} else
			if (i == 1) {
				context.drawImage(img,
						w * 0.2, h * 0.2, w * 0.6, h * 0.6);
			} else
			if (i == 2) {
				context.drawImage(img,
						w * 0.2, h * 0.2, w * 0.2, h * 0.2,
						w * 0.2, h * 0.2, w * 0.6, h * 0.6);
			}

			// 表示
			$("body").append(canvas).append("<br><br>");
		}
	}
});
