// DOMの準備後に実行する内容
$(function() {
	// 変数の初期化
	var w = 256;
	var h = 256;

	// Canvasを作成
	var canvas = $("<canvas>")
			.attr("width", w).attr("height", h).get(0);
	if (! canvas || ! canvas.getContext) return;
	var context = canvas.getContext("2d");

	// 画素の取得
	var imagedata = context.getImageData(0, 0, w, h);
	var data = imagedata.data;

	// 画素の加工
	for (var y = 0; y < h; y ++) {
		for (var x = 0; x < w; x ++) {
			// 画素の位置を計算
			var pos = (x + y * w) * 4;

			// RGBAの値を上書き
			data[pos + 0] = x;
			data[pos + 1] = y;
			data[pos + 2] = 0;
			data[pos + 3] = 255;
		}
	}

	// 画素の反映
	context.putImageData(imagedata, 0, 0);

	// 表示
	$("body").append(canvas);
});
